apiVersion: argoproj.io/v1beta1
kind: ArgoCD
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"argoproj.io/v1beta1","kind":"ArgoCD","metadata":{"annotations":{},"finalizers":["argoproj.io/finalizer"],"generation":24,"name":"openshift-gitops","namespace":"openshift-gitops","ownerReferences":[{"apiVersion":"pipelines.openshift.io/v1alpha1","blockOwnerDeletion":true,"controller":true,"kind":"GitopsService","name":"cluster","uid":"32b486bb-4a7b-4567-9ba2-6c7506236815"}]},"spec":{"applicationSet":{"resources":{"limits":{"cpu":"2","memory":"1Gi"},"requests":{"cpu":"250m","memory":"512Mi"}},"webhookServer":{"ingress":{"enabled":false},"route":{"enabled":false}}},"controller":{"logLevel":"debug","processors":{},"resources":{"limits":{"cpu":"8","memory":"6Gi"},"requests":{"cpu":"1","memory":"2Gi"}},"sharding":{"enabled":true,"replicas":4}},"grafana":{"enabled":false,"ingress":{"enabled":false},"resources":{"limits":{"cpu":"500m","memory":"256Mi"},"requests":{"cpu":"250m","memory":"128Mi"}},"route":{"enabled":false}},"ha":{"enabled":false,"resources":{"limits":{"cpu":"500m","memory":"256Mi"},"requests":{"cpu":"250m","memory":"128Mi"}}},"initialSSHKnownHosts":{},"kustomizeBuildOptions":"--enable-alpha-plugins","monitoring":{"enabled":false},"notifications":{"enabled":false},"prometheus":{"enabled":false,"ingress":{"enabled":false},"route":{"enabled":false}},"rbac":{"defaultPolicy":"","policy":"g, system:cluster-admins, role:admin\ng, cluster-admins, role:admin\ng, Admins, role:admin\ng, SafeOwners, role:admin\n","scopes":"[groups]"},"redis":{"resources":{"limits":{"cpu":"500m","memory":"256Mi"},"requests":{"cpu":"250m","memory":"128Mi"}}},"repo":{"env":[{"name":"ARGOCD_EXEC_TIMEOUT","value":"360s"},{"name":"KUSTOMIZE_PLUGIN_HOME","value":"/.config/kustomize/plugin"}],"initContainers":[{"args":["/.config"],"command":["/exportkustomize.sh"],"image":"registry.redhat.io/openshift4/ztp-site-generate-rhel8:v4.14.4","imagePullPolicy":"Always","name":"kustomize-plugin","resources":{},"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","volumeMounts":[{"mountPath":"/.config","name":"kustomize"},{"mountPath":"/etc/pki/ca-trust/extracted/pem/tls-ca-bundle.pem","name":"cluster-root-ca-bundle","subPath":"ca-bundle.crt"}],"volumes":[{"configMap":{"name":"cluster-root-ca-bundle"},"name":"cluster-root-ca-bundle"}]},{"args":["-c","mkdir -p /.config/kustomize/plugin/ \u0026\u0026 cp -r /etc/kustomize/plugin/policy.open-cluster-management.io /.config/kustomize/plugin/"],"command":["/bin/bash"],"image":"registry.redhat.io/rhacm2/multicluster-operators-subscription-rhel8:v2.7","imagePullPolicy":"Always","name":"policy-generator-install","resources":{},"volumeMounts":[{"mountPath":"/.config","name":"kustomize"},{"mountPath":"/etc/pki/ca-trust/extracted/pem/tls-ca-bundle.pem","name":"cluster-root-ca-bundle","subPath":"ca-bundle.crt"}],"volumes":[{"configMap":{"name":"cluster-root-ca-bundle"},"name":"cluster-root-ca-bundle"}]}],"resources":{"limits":{"cpu":"8","memory":"16Gi"},"requests":{"cpu":"1","memory":"2Gi"}},"volumeMounts":[{"mountPath":"/etc/pki/ca-trust/extracted/pem/tls-ca-bundle.pem","name":"cluster-root-ca-bundle","subPath":"ca-bundle.crt"}],"volumes":[{"configMap":{"name":"cluster-root-ca-bundle"},"name":"cluster-root-ca-bundle"}]},"resourceExclusions":"- apiGroups:\n  - tekton.dev\n  clusters:\n  - '*'\n  kinds:\n  - TaskRun\n  - PipelineRun\n","server":{"autoscale":{"enabled":false},"grpc":{"ingress":{"enabled":false}},"ingress":{"enabled":false},"resources":{"limits":{"cpu":"512m","memory":"256Mi"},"requests":{"cpu":"125m","memory":"128Mi"}},"route":{"enabled":true,"tls":{"termination":"passthrough"}},"service":{"type":""}},"sso":{"dex":{"openShiftOAuth":true,"resources":{"limits":{"cpu":"500m","memory":"256Mi"},"requests":{"cpu":"250m","memory":"128Mi"}}},"provider":"dex"},"tls":{"ca":{}}}}
  creationTimestamp: "2024-03-04T17:11:08Z"
  finalizers:
  - argoproj.io/finalizer
  generation: 28
  name: openshift-gitops
  namespace: openshift-gitops
  ownerReferences:
  - apiVersion: pipelines.openshift.io/v1alpha1
    blockOwnerDeletion: true
    controller: true
    kind: GitopsService
    name: cluster
    uid: 32b486bb-4a7b-4567-9ba2-6c7506236815
  resourceVersion: "145851129"
  uid: cd33b8d2-2fb6-469c-bfdb-1edc825a6416
spec:
  applicationSet:
    resources:
      limits:
        cpu: "2"
        memory: 1Gi
      requests:
        cpu: 250m
        memory: 512Mi
    webhookServer:
      ingress:
        enabled: false
      route:
        enabled: false
  controller:
    logLevel: debug
    processors: {}
    resources:
      limits:
        cpu: "16"
        memory: 32Gi
      requests:
        cpu: "1"
        memory: 2Gi
    sharding:
      enabled: true
      replicas: 4
  grafana:
    enabled: false
    ingress:
      enabled: false
    resources:
      limits:
        cpu: 500m
        memory: 256Mi
      requests:
        cpu: 250m
        memory: 128Mi
    route:
      enabled: false
  ha:
    enabled: false
    resources:
      limits:
        cpu: 500m
        memory: 256Mi
      requests:
        cpu: 250m
        memory: 128Mi
  initialSSHKnownHosts: {}
  kustomizeBuildOptions: --enable-alpha-plugins
  monitoring:
    enabled: false
  notifications:
    enabled: false
  prometheus:
    enabled: false
    ingress:
      enabled: false
    route:
      enabled: false
  rbac:
    defaultPolicy: ""
    policy: |
      g, system:cluster-admins, role:admin
      g, cluster-admins, role:admin
      g, Admins, role:admin
      g, SafeOwners, role:admin
      g, PAM_CCI_OCP_administrator, role:admin
    scopes: '[groups]'
  redis:
    resources:
      limits:
        cpu: 500m
        memory: 256Mi
      requests:
        cpu: 250m
        memory: 128Mi
  repo:
    env:
    - name: ARGOCD_EXEC_TIMEOUT
      value: 360s
    - name: KUSTOMIZE_PLUGIN_HOME
      value: /.config/kustomize/plugin
    initContainers:
    - args:
      - /.config
      command:
      - /exportkustomize.sh
      image: registry.redhat.io/openshift4/ztp-site-generate-rhel8:v4.14.4
      imagePullPolicy: Always
      name: kustomize-plugin
      resources: {}
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: File
      volumeMounts:
      - mountPath: /.config
        name: kustomize
      - mountPath: /etc/pki/ca-trust/extracted/pem/tls-ca-bundle.pem
        name: cluster-root-ca-bundle
        subPath: ca-bundle.crt
    - args:
      - -c
      - mkdir -p /.config/kustomize/plugin/ && cp -r /etc/kustomize/plugin/policy.open-cluster-management.io
        /.config/kustomize/plugin/
      command:
      - /bin/bash
      image: registry.redhat.io/rhacm2/multicluster-operators-subscription-rhel8:v2.7
      imagePullPolicy: Always
      name: policy-generator-install
      resources: {}
      volumeMounts:
      - mountPath: /.config
        name: kustomize
      - mountPath: /etc/pki/ca-trust/extracted/pem/tls-ca-bundle.pem
        name: cluster-root-ca-bundle
        subPath: ca-bundle.crt
    resources:
      limits:
        cpu: "8"
        memory: 16Gi
      requests:
        cpu: "1"
        memory: 2Gi
    volumeMounts:
    - mountPath: /.config
      name: kustomize
    - mountPath: /etc/pki/ca-trust/extracted/pem/tls-ca-bundle.pem
      name: cluster-root-ca-bundle
      subPath: ca-bundle.crt
    volumes:
    - emptyDir: {}
      name: kustomize
    - configMap:
        name: cluster-root-ca-bundle
      name: cluster-root-ca-bundle
  resourceExclusions: |
    - apiGroups:
      - tekton.dev
      clusters:
      - '*'
      kinds:
      - TaskRun
      - PipelineRun
  server:
    autoscale:
      enabled: false
    grpc:
      ingress:
        enabled: false
    ingress:
      enabled: false
    resources:
      limits:
        cpu: 512m
        memory: 256Mi
      requests:
        cpu: 125m
        memory: 128Mi
    route:
      enabled: true

